#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Rijndael
Summary:	Crypt::Rijndael Perl module - Rijndael encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::Rijndael - algorytm szyfrowania Rijndael
Name:		perl-Crypt-Rijndael
Version:	1.11
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c26594420342f4ccddc535b878962db9
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Crypt-Rijndael/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Manifest >= 1.21
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is Crypt::CBC compliant Rijndael cipher implementation.
Rijndael has just been selected as the Advanced Encryption Standard.

%description -l pl.UTF-8
Ten moduł jest zgodną z Crypt::CBC implementacją szyfru Rijndael.
Rijndael został niedawno wybrany jako standard zaawansowanego
szyfrowania (AES).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NEWS README
%{perl_vendorarch}/Crypt/Rijndael.pm
%dir %{perl_vendorarch}/auto/Crypt/Rijndael
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Rijndael/Rijndael.so
%{_mandir}/man3/Crypt::Rijndael.3*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-Rijndael.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c931ca6
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 887cef3
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d72375
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7750378
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3ccb0b5
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ebd2a61
- updated to 1.11

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> efece2d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> a57400d
- unified CPAN Source URL
- clarified License
- more verbose files

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 64b6f50
- up to 1.09

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> ff65785
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 07054fb
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 23b8abc
- release 2

* Fri Nov 13 2009 amateja <amateja@pld-linux.org> 00700b6
- fixed Source0: URL

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 87248c3
- updated to 1.07_02

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> f4c3929
- adjusted for 1.07_02

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 96877bb
- release 6

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> c56273b
- generic URL
- License seems to be GPL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 872dfbf
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 47537d0
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8c4cd7d
- tabs in preamble

